.banner-image {
    position: relative;
    height: 270px;
    border-radius: 16px;
    overflow: hidden;
}

.implements-content .common_title {
    font-size: 28px;
    color: #373737;
}

.implements-content .pagecontent p {
    font-weight: 400;
    font-size: 14px;
    letter-spacing: 0.05em;
    color: #000000;
    margin-bottom: 8px;

}

.implements-content .pagecontent .readmore,
.implements-content .pagecontent .readless {
    font-weight: 600;
    font-size: 13px;
    color: #d32525;
    text-decoration: underline;
}

.implements-filters .implements-filters-wrapper {
    border: 1px solid #ECEDEE;
    border-radius: 16px;
    background-color: #fff;
}
.implements-filters .implements-filters-wrapper .sectionHeading p{
    letter-spacing: .03rem;
    text-transform: uppercase;
    font-size: 20px;
    line-height: 28px;
    font-weight: 700;
    color: #000;
    margin-bottom: 0;
}

.implements-filters .implements-filters-wrapper .customSelectdrop__selected {
    padding: 8px 30px 8px 16px;
    display: block;
}

.implements-filters .implements-filters-wrapper .customSelectdrop__selected span {
    font-weight: 700;
    font-size: 14px;
    color: #000;
}

.clear-all-btn {
    background: none;
    border: none;
    cursor: pointer;
    color: #D32F2F;
    font-size: 13px;
    font-weight: 600;
    padding: 4px 0;
}

/* sort filter */

.sort-wrap {
    position: relative;
    display: inline-block;
}

.sort-btn {
    display: flex;
    align-items: center;
    gap: 8px;
    border-radius: 20px;
    padding: 12px 28px;
    background: #00000005;
    border: 1px solid #ECEDEE;
    cursor: pointer;
    font-size: 13px;
    font-weight: 600;
    color: #212121;
}

.sort-dropdown-menu {
    position: absolute;
    top: 110%;
    right: 0;
    width: 260px;
    border-radius: 12px;
    padding: 10px 0;
    border: 1px solid #e5e7eb;
    background: #fff;
    display: none;
    /* box-shadow:0 10px 25px rgba(0,0,0,0.08); */
    box-shadow: 4px 4px 60px 0px #00000040;

    z-index: 9;
}

.sort-dropdown-menu.show {
    display: block;
}

.sort-item {
    padding: 12px 20px;
    color: #6b7280;
    border-bottom: 1px solid #eee;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
}

.sort-item:last-child {
    border-bottom: none;
}

.sort-item.active {
    color: #2f55ff;
    font-weight: 500;
    position: relative;
}

.sort-item.active:after {
    content: "";
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%) rotate(45deg);
    width: 7px;
    height: 12px;
    border: solid #2f55ff;
    border-width: 0 2px 2px 0;
}

.tractorListingWrapper {
    margin: 0 -10px;
}

.tractorListingWrapper .tractorListingItems {
    flex: 0 0 20%;
    max-width: 20%;
    padding: 0 10px;
    margin-bottom: 16px;
}

.loadMoreImplementsBtn {
    padding: 12px 28px;
    font-size: 16px;
    font-weight: 500;
    color: #3146FF;
    line-height: 20px;
    transition: all 0.3s ease;
    border-radius: 8px;
    background: #3146FF0D;
    backdrop-filter: blur(20px);
    display: inline-flex;
    align-items: center;
    gap: 8px;
    border: #000;
    outline: none;
}

.loadMoreImplementsBtn img {
    transform: rotate(90deg);
}

.loadMoreImplementsBtn:hover {
    text-decoration: none;
    color: #fff;
    background: #000000;
}

.loadMoreImplementsBtn:hover img {
    filter: brightness(0) invert(1);
}
.imlements-contentSection .sectionNewHeading {
  font-size: 24px;
}

/* sort fillter end */


@media (max-width: 1280px) {
    .tractorListingWrapper .tractorListingItems {
        flex: 0 0 25%;
        max-width: 25%;
    }
}

@media (max-width: 1024px) {
    .tractorListingWrapper .tractorListingItems {
        flex: 0 0 33.33%;
        max-width: 33.33%;
    }
}

@media (max-width: 767px) {
    .tractorListingWrapper .tractorListingItems {
        flex: 0 0 50%;
        max-width: 50%;
    }
    .banner-image {
        height: 120px;
    }

    .implements-content .common_title {
        font-size: 20px;
    }

    .implements-content .pagecontent p {
        font-size: 12px;
    }
    .implements-filters .implements-filters-wrapper .sectionHeading p{
        font-size: 20px;
    }
    .imlements-contentSection .sectionNewHeading {
       font-size: 20px;
    }
}

@media (max-width: 480px) {
    .tractorListingWrapper .tractorListingItems {
        flex: 0 0 100%;
        max-width: 100%;
    }
}